osl::move_generator::Capture< Action > Class Template Reference

駒を取る手を生成 More...

`#include <capture_.h>`

## Static Public Member Functions

template<Player P>
static void | generate (const NumEffectState &state, Square target, Action &action)
template<Player P>
static void | escapeByCapture (const NumEffectState &state, Square target, Piece piece, Action &action)
template<Player P>
static void | generate1 (const NumEffectState &state, Square target, Action &action)
| 取る手を1手だけ作る

## Detailed Description

template<class Action>
class osl::move_generator::Capture< Action >

駒を取る手を生成

Definition at line 17 of file capture_.h.

## Member Function Documentation

## escapeByCapture()

template<class Action>
template<Player P>

template void osl::move_generator::Capture< Action >::escapeByCapture< WHITE > | ( | const NumEffectState & | state,
|  | Square | target,
|  | Piece | piece,
|  | Action & | action )

static

Parameters

  target | 取る駒の位置 (can be empty)
  piece | この駒以外で取る before 2009/12/20 pinを考慮していなかった

## generate()

template<class Action>
template<Player P>

template void osl::move_generator::Capture< Action >::generate< WHITE > | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action )

static

Parameters

  target | 取る駒の位置 (can be empty)

## generate1()

template<class Action>
template<Player P>

template void osl::move_generator::Capture< Action >::generate1< WHITE > | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action )

static

取る手を1手だけ作る

Parameters

  target | 取る駒の位置 (can be empty)

The documentation for this class was generated from the following files:

- capture_.h
- capture_.cc